INSERT INTO bd_billtype (
        pk_billtypeid,
        accountclass,
        billcoderule,
        billstyle,
        billtypename,
        canextendtransaction,
        checkclassname,
        classname,
        comp,
        component,
        datafinderclz,
        def1,
        def2,
        def3,
        dr,
        emendenumclass,
        forwardbilltype,
        isaccount,
        isapprovebill,
        isbizflowbill,
        iseditableproperty,
        isenablebutton,
        isenabletranstypebcr,
        islightbill,
        islock,
        isrejectuneditableproperty,
        isroot,
        issupportmobile,
        istransaction,
        isworkflowcanautoapprove,
        ncbrcode,
        nodecode,
        parentbilltype,
        pk_billtypecode,
        pk_group,
        pk_org,
        referclassname,
        systemcode,
        transtype_class,
        ts,
        webnodecode,
        wherestring
)
VALUES
        (
                '0001ZZZZ2D8BA71745B1',
                NULL,
                '~',
                NULL,
                '信用证承兑汇票',
                'Y',
                NULL,
                NULL,
                NULL,
                'lettercredit',
                NULL,
                NULL,
                NULL,
                NULL,
                NULL,
                NULL,
                NULL,
                'Y',
                'Y',
                'N',
                'N',
                'N',
                'N',
                'Y',
                NULL,
                NULL,
                'N',
                'Y',
                'N',
                'N',
                '~',
                '99H10102',
                '~',
                '99H2',
                '~',
                'GLOBLE00000000000000',
                NULL,
                'ZJNYTWO_CD',
                NULL,
                '2022-09-05 16:26:50',
                '~',
                NULL
        );

go

INSERT INTO pub_billaction (
        pk_billaction,
        action_type,
        actionnote,
        actionstyle,
        actionstyleremark,
        actiontype,
        constrictflag,
        controlflag,
        dr,
        finishflag,
        pk_billtype,
        pk_billtypeid,
        pushflag,
        showhint,
        ts
)
VALUES
        (
                '0001ZZZZ12A1307730AA',
                11,
                '~',
                '2',
                NULL,
                'APPROVE',
                'N',
                'N',
                NULL,
                'N',
                '99H2',
                '0001ZZZZ2D8BA71745B1',
                NULL,
                '~',
                '2022-09-05 16:26:50'
        );
go

INSERT INTO pub_billaction (
        pk_billaction,
        action_type,
        actionnote,
        actionstyle,
        actionstyleremark,
        actiontype,
        constrictflag,
        controlflag,
        dr,
        finishflag,
        pk_billtype,
        pk_billtypeid,
        pushflag,
        showhint,
        ts
)
VALUES
        (
                '0001ZZZZ2286A71A900F',
                30,
                '~',
                '3',
                NULL,
                'DELETE',
                'N',
                'N',
                NULL,
                'N',
                '99H2',
                '0001ZZZZ2D8BA71745B1',
                NULL,
                '~',
                '2022-09-05 16:26:50'
        );

go

INSERT INTO pub_billaction (
        pk_billaction,
        action_type,
        actionnote,
        actionstyle,
        actionstyleremark,
        actiontype,
        constrictflag,
        controlflag,
        dr,
        finishflag,
        pk_billtype,
        pk_billtypeid,
        pushflag,
        showhint,
        ts
)
VALUES
        (
                '0001ZZZZA478F5F81E6D',
                10,
                '~',
                '1',
                NULL,
                'SAVE',
                'N',
                'N',
                NULL,
                'N',
                '99H2',
                '0001ZZZZ2D8BA71745B1',
                NULL,
                '~',
                '2022-09-05 16:26:50'
        );

go

INSERT INTO pub_billaction (
        pk_billaction,
        action_type,
        actionnote,
        actionstyle,
        actionstyleremark,
        actiontype,
        constrictflag,
        controlflag,
        dr,
        finishflag,
        pk_billtype,
        pk_billtypeid,
        pushflag,
        showhint,
        ts
)
VALUES
        (
                '0001ZZZZE515389AB0C8',
                31,
                '~',
                '1',
                NULL,
                'SAVEBASE',
                'Y',
                'N',
                NULL,
                'N',
                '99H2',
                '0001ZZZZ2D8BA71745B1',
                NULL,
                '~',
                '2022-09-05 16:26:50'
        );

go

INSERT INTO PUB_BILLACTION (
        PK_BILLACTION,
        ACTION_TYPE,
        ACTIONNOTE,
        ACTIONSTYLE,
        ACTIONSTYLEREMARK,
        ACTIONTYPE,
        CONSTRICTFLAG,
        CONTROLFLAG,
        DR,
        FINISHFLAG,
        PK_BILLTYPE,
        PK_BILLTYPEID,
        PUSHFLAG,
        SHOWHINT,
        TS
)
VALUES
        (
                '0001ZZZZBACE4357D389',
                12,
                '~',
                '3',
                NULL,
                'UNAPPROVE',
                'N',
                'N',
                NULL,
                'Y',
                '99H2',
                '0001ZZZZ2D8BA71745B1',
                NULL,
                '~',
                '2022-09-05 16:26:50'
        );

go

INSERT INTO PUB_BILLACTION (
        PK_BILLACTION,
        ACTION_TYPE,
        ACTIONNOTE,
        ACTIONSTYLE,
        ACTIONSTYLEREMARK,
        ACTIONTYPE,
        CONSTRICTFLAG,
        CONTROLFLAG,
        DR,
        FINISHFLAG,
        PK_BILLTYPE,
        PK_BILLTYPEID,
        PUSHFLAG,
        SHOWHINT,
        TS
)
VALUES
        (
                '0001ZZZZA757CD2D319E',
                13,
                '~',
                '3',
                NULL,
                'UNSAVEBILL',
                'N',
                'Y',
                NULL,
                'Y',
                '99H2',
                '0001ZZZZ2D8BA71745B1',
                NULL,
                '~',
                '2022-09-05 16:26:50'
        );


go

INSERT INTO pub_busiclass (
        pk_busiclass,
        actiontype,
        classname,
        dr,
        isbefore,
        pk_billtype,
        pk_billtypeid,
        pk_businesstype,
        pk_group,
        ts
)
VALUES
        (
                '0001ZZZZAD5BB545E78B',
                'SAVE',
                'N_99H2_SAVE',
                0,
                'N',
                '99H2',
                '0001ZZZZ2D8BA71745B1',
                '~',
                '~',
                '2022-09-05 16:26:50'
        );

go

INSERT INTO pub_busiclass (
        pk_busiclass,
        actiontype,
        classname,
        dr,
        isbefore,
        pk_billtype,
        pk_billtypeid,
        pk_businesstype,
        pk_group,
        ts
)
VALUES
        (
                '0001ZZZZ767638506AB0',
                'APPROVE',
                'N_99H2_APPROVE',
                0,
                'N',
                '99H2',
                '0001ZZZZ2D8BA71745B1',
                '~',
                '~',
                '2022-09-05 16:26:50'
        );

go

INSERT INTO pub_busiclass (
        pk_busiclass,
        actiontype,
        classname,
        dr,
        isbefore,
        pk_billtype,
        pk_billtypeid,
        pk_businesstype,
        pk_group,
        ts
)
VALUES
        (
                '0001ZZZZ7A351FDB0235',
                'UNSAVEBILL',
                'N_99H2_UNSAVEBILL',
                0,
                'N',
                '99H2',
                '0001ZZZZ2D8BA71745B1',
                '~',
                '~',
                '2022-09-05 16:26:50'
        );

go

INSERT INTO pub_busiclass (
        pk_busiclass,
        actiontype,
        classname,
        dr,
        isbefore,
        pk_billtype,
        pk_billtypeid,
        pk_businesstype,
        pk_group,
        ts
)
VALUES
        (
                '0001ZZZZ99C001EE767D',
                'UNAPPROVE',
                'N_99H2_UNAPPROVE',
                0,
                'N',
                '99H2',
                '0001ZZZZ2D8BA71745B1',
                '~',
                '~',
                '2022-09-05 16:26:50'
        );

go

INSERT INTO pub_busiclass (
        pk_busiclass,
        actiontype,
        classname,
        dr,
        isbefore,
        pk_billtype,
        pk_billtypeid,
        pk_businesstype,
        pk_group,
        ts
)
VALUES
        (
                '0001ZZZZB810D87AA7C7',
                'DELETE',
                'N_99H2_DELETE',
                0,
                'N',
                '99H2',
                '0001ZZZZ2D8BA71745B1',
                '~',
                '~',
                '2022-09-05 16:26:50'
        );

go

INSERT INTO PUB_BUSICLASS (
        PK_BUSICLASS,
        ACTIONTYPE,
        CLASSNAME,
        DR,
        ISBEFORE,
        PK_BILLTYPE,
        PK_BILLTYPEID,
        PK_BUSINESSTYPE,
        PK_GROUP,
        TS
)
VALUES
        (
                '0001ZZZZ5C60E74D249D',
                'SAVEBASE',
                'N_99H2_SAVEBASE',
                0,
                'N',
                '99H2',
                '0001ZZZZ2D8BA71745B1',
                '~',
                '~',
                '2022-09-05 16:26:50'
        );
go


insert into pub_workitemconfig (
        pk_workitemconfig,
        dr,
        item,
        itemindex,
        itemtype,
        pk_billtype,
        resourceid,
        ts,
        isdefault,
        ismp
)
values
(
        '0001ZZZZC4D47763EE17',
        0,
        '99H2T',
        null,
        null,
        '0001ZZZZ2D8BA71745B1',
        null,
        '2022-09-05 16:26:50',
        'Y',
        'Y'
);
go
