INSERT INTO bd_billtype (
        pk_billtypeid,
        accountclass,
        billcoderule,
        billstyle,
        billtypename,
        canextendtransaction,
        checkclassname,
        classname,
        comp,
        component,
        datafinderclz,
        def1,
        def2,
        def3,
        dr,
        emendenumclass,
        forwardbilltype,
        isaccount,
        isapprovebill,
        isbizflowbill,
        iseditableproperty,
        isenablebutton,
        isenabletranstypebcr,
        islightbill,
        islock,
        isrejectuneditableproperty,
        isroot,
        issupportmobile,
        istransaction,
        isworkflowcanautoapprove,
        ncbrcode,
        nodecode,
        parentbilltype,
        pk_billtypecode,
        pk_group,
        pk_org,
        referclassname,
        systemcode,
        transtype_class,
        ts,
        webnodecode,
        wherestring
)
VALUES
        (
                '0001ZZZZ2B07EB12F2C8',
                NULL,
                '~',
                NULL,
                '银行授信填报',
                'Y',
                NULL,
                NULL,
                NULL,
                'bankcredit',
                NULL,
                NULL,
                NULL,
                NULL,
                NULL,
                NULL,
                NULL,
                'Y',
                'Y',
                'N',
                'N',
                'N',
                'N',
                'Y',
                NULL,
                NULL,
                'N',
                'Y',
                'N',
                'N',
                '~',
                '99H10103',
                '~',
                '99H3',
                '~',
                'GLOBLE00000000000000',
                NULL,
                'ZJNYTWO_CD',
                NULL,
                '2022-09-09 16:35:23',
                '~',
                NULL
        );

go

INSERT INTO pub_billaction (
        pk_billaction,
        action_type,
        actionnote,
        actionstyle,
        actionstyleremark,
        actiontype,
        constrictflag,
        controlflag,
        dr,
        finishflag,
        pk_billtype,
        pk_billtypeid,
        pushflag,
        showhint,
        ts
)
VALUES
        (
                '0001ZZZZ74BABA5F3C2B',
                11,
                '~',
                '2',
                NULL,
                'APPROVE',
                'N',
                'N',
                NULL,
                'N',
                '99H3',
                '0001ZZZZ2B07EB12F2C8',
                NULL,
                '~',
                '2022-09-09 16:35:23'
        );
go

INSERT INTO pub_billaction (
        pk_billaction,
        action_type,
        actionnote,
        actionstyle,
        actionstyleremark,
        actiontype,
        constrictflag,
        controlflag,
        dr,
        finishflag,
        pk_billtype,
        pk_billtypeid,
        pushflag,
        showhint,
        ts
)
VALUES
        (
                '0001ZZZZC8716A446FF0',
                30,
                '~',
                '3',
                NULL,
                'DELETE',
                'N',
                'N',
                NULL,
                'N',
                '99H3',
                '0001ZZZZ2B07EB12F2C8',
                NULL,
                '~',
                '2022-09-09 16:35:23'
        );

go

INSERT INTO pub_billaction (
        pk_billaction,
        action_type,
        actionnote,
        actionstyle,
        actionstyleremark,
        actiontype,
        constrictflag,
        controlflag,
        dr,
        finishflag,
        pk_billtype,
        pk_billtypeid,
        pushflag,
        showhint,
        ts
)
VALUES
        (
                '0001ZZZZ0176B6DC2207',
                10,
                '~',
                '1',
                NULL,
                'SAVE',
                'N',
                'N',
                NULL,
                'N',
                '99H3',
                '0001ZZZZ2B07EB12F2C8',
                NULL,
                '~',
                '2022-09-09 16:35:23'
        );

go

INSERT INTO pub_billaction (
        pk_billaction,
        action_type,
        actionnote,
        actionstyle,
        actionstyleremark,
        actiontype,
        constrictflag,
        controlflag,
        dr,
        finishflag,
        pk_billtype,
        pk_billtypeid,
        pushflag,
        showhint,
        ts
)
VALUES
        (
                '0001ZZZZ9B0E317E10F6',
                31,
                '~',
                '1',
                NULL,
                'SAVEBASE',
                'Y',
                'N',
                NULL,
                'N',
                '99H3',
                '0001ZZZZ2B07EB12F2C8',
                NULL,
                '~',
                '2022-09-09 16:35:23'
        );

go

INSERT INTO PUB_BILLACTION (
        PK_BILLACTION,
        ACTION_TYPE,
        ACTIONNOTE,
        ACTIONSTYLE,
        ACTIONSTYLEREMARK,
        ACTIONTYPE,
        CONSTRICTFLAG,
        CONTROLFLAG,
        DR,
        FINISHFLAG,
        PK_BILLTYPE,
        PK_BILLTYPEID,
        PUSHFLAG,
        SHOWHINT,
        TS
)
VALUES
        (
                '0001ZZZZ3183CFB5DC28',
                12,
                '~',
                '3',
                NULL,
                'UNAPPROVE',
                'N',
                'N',
                NULL,
                'Y',
                '99H3',
                '0001ZZZZ2B07EB12F2C8',
                NULL,
                '~',
                '2022-09-09 16:35:23'
        );

go

INSERT INTO PUB_BILLACTION (
        PK_BILLACTION,
        ACTION_TYPE,
        ACTIONNOTE,
        ACTIONSTYLE,
        ACTIONSTYLEREMARK,
        ACTIONTYPE,
        CONSTRICTFLAG,
        CONTROLFLAG,
        DR,
        FINISHFLAG,
        PK_BILLTYPE,
        PK_BILLTYPEID,
        PUSHFLAG,
        SHOWHINT,
        TS
)
VALUES
        (
                '0001ZZZZ021DBA89EE66',
                13,
                '~',
                '3',
                NULL,
                'UNSAVEBILL',
                'N',
                'Y',
                NULL,
                'Y',
                '99H3',
                '0001ZZZZ2B07EB12F2C8',
                NULL,
                '~',
                '2022-09-09 16:35:23'
        );


go

INSERT INTO pub_busiclass (
        pk_busiclass,
        actiontype,
        classname,
        dr,
        isbefore,
        pk_billtype,
        pk_billtypeid,
        pk_businesstype,
        pk_group,
        ts
)
VALUES
        (
                '0001ZZZZBB400DAF825F',
                'SAVE',
                'N_99H3_SAVE',
                0,
                'N',
                '99H3',
                '0001ZZZZ2B07EB12F2C8',
                '~',
                '~',
                '2022-09-09 16:35:23'
        );

go

INSERT INTO pub_busiclass (
        pk_busiclass,
        actiontype,
        classname,
        dr,
        isbefore,
        pk_billtype,
        pk_billtypeid,
        pk_businesstype,
        pk_group,
        ts
)
VALUES
        (
                '0001ZZZZED23D9A28A48',
                'APPROVE',
                'N_99H3_APPROVE',
                0,
                'N',
                '99H3',
                '0001ZZZZ2B07EB12F2C8',
                '~',
                '~',
                '2022-09-09 16:35:23'
        );

go

INSERT INTO pub_busiclass (
        pk_busiclass,
        actiontype,
        classname,
        dr,
        isbefore,
        pk_billtype,
        pk_billtypeid,
        pk_businesstype,
        pk_group,
        ts
)
VALUES
        (
                '0001ZZZZB0C6F6319F7C',
                'UNSAVEBILL',
                'N_99H3_UNSAVEBILL',
                0,
                'N',
                '99H3',
                '0001ZZZZ2B07EB12F2C8',
                '~',
                '~',
                '2022-09-09 16:35:23'
        );

go

INSERT INTO pub_busiclass (
        pk_busiclass,
        actiontype,
        classname,
        dr,
        isbefore,
        pk_billtype,
        pk_billtypeid,
        pk_businesstype,
        pk_group,
        ts
)
VALUES
        (
                '0001ZZZZ62200F7A3070',
                'UNAPPROVE',
                'N_99H3_UNAPPROVE',
                0,
                'N',
                '99H3',
                '0001ZZZZ2B07EB12F2C8',
                '~',
                '~',
                '2022-09-09 16:35:23'
        );

go

INSERT INTO pub_busiclass (
        pk_busiclass,
        actiontype,
        classname,
        dr,
        isbefore,
        pk_billtype,
        pk_billtypeid,
        pk_businesstype,
        pk_group,
        ts
)
VALUES
        (
                '0001ZZZZA5FE9422DFBF',
                'DELETE',
                'N_99H3_DELETE',
                0,
                'N',
                '99H3',
                '0001ZZZZ2B07EB12F2C8',
                '~',
                '~',
                '2022-09-09 16:35:23'
        );

go

INSERT INTO PUB_BUSICLASS (
        PK_BUSICLASS,
        ACTIONTYPE,
        CLASSNAME,
        DR,
        ISBEFORE,
        PK_BILLTYPE,
        PK_BILLTYPEID,
        PK_BUSINESSTYPE,
        PK_GROUP,
        TS
)
VALUES
        (
                '0001ZZZZF0C6D5DB8B7C',
                'SAVEBASE',
                'N_99H3_SAVEBASE',
                0,
                'N',
                '99H3',
                '0001ZZZZ2B07EB12F2C8',
                '~',
                '~',
                '2022-09-09 16:35:23'
        );
go


insert into pub_workitemconfig (
        pk_workitemconfig,
        dr,
        item,
        itemindex,
        itemtype,
        pk_billtype,
        resourceid,
        ts,
        isdefault,
        ismp
)
values
(
        '0001ZZZZ0F2266C3ABAA',
        0,
        '99H3T',
        null,
        null,
        '0001ZZZZ2B07EB12F2C8',
        null,
        '2022-09-09 16:35:23',
        'Y',
        'Y'
);
go
