/* tablename: zjnytwo_cd_bankloan_h */
create table zjnytwo_cd_bankloan_h (
pk_bankloan nchar(20) not null 
/*主表主键*/,
pk_group nvarchar(20) null default '~' 
/*集团*/,
pk_org_v nvarchar(20) null default '~' 
/*组织版本*/,
pk_org nvarchar(20) null default '~' 
/*组织*/,
vbillcode nvarchar(40) null 
/*单据号*/,
month int null 
/*月份*/,
inputdate nchar(19) null 
/*导入日期*/,
inputman nvarchar(20) null default '~' 
/*导入人*/,
busitype nvarchar(20) null default '~' 
/*业务类型*/,
pk_billtypecode nvarchar(50) null 
/*单据类型编码*/,
pk_billtypeid nvarchar(20) null default '~' 
/*单据类型*/,
vtrantypecode nvarchar(50) null 
/*交易类型编码*/,
ctrantypeid nvarchar(20) null default '~' 
/*交易类型*/,
dbilldate nchar(19) null 
/*单据日期*/,
fstatusflag int null default -1 
/*单据状态*/,
creator nvarchar(20) null default '~' 
/*制单人*/,
creationtime nchar(19) null 
/*制单时间*/,
modifier nvarchar(20) null default '~' 
/*最后修改人*/,
modifiedtime nchar(19) null 
/*最后修改时间*/,
approver nvarchar(20) null default '~' 
/*审批人*/,
taudittime nchar(19) null 
/*审批时间*/,
vapprovenote nvarchar(181) null 
/*审批批语*/,
enablestate int null 
/*启用*/,
vnote nvarchar(181) null 
/*备注*/,
def1 nvarchar(101) null 
/*自定义项1*/,
def2 nvarchar(101) null 
/*自定义项2*/,
def3 nvarchar(101) null 
/*自定义项3*/,
def4 nvarchar(101) null 
/*自定义项4*/,
def5 nvarchar(101) null 
/*自定义项5*/,
def6 nvarchar(101) null 
/*自定义项6*/,
def7 nvarchar(101) null 
/*自定义项7*/,
def8 nvarchar(101) null 
/*自定义项8*/,
def9 nvarchar(101) null 
/*自定义项9*/,
def10 nvarchar(101) null 
/*自定义项10*/,
def11 nvarchar(101) null 
/*自定义项11*/,
def12 nvarchar(101) null 
/*自定义项12*/,
def13 nvarchar(101) null 
/*自定义项13*/,
def14 nvarchar(101) null 
/*自定义项14*/,
def15 nvarchar(101) null 
/*自定义项15*/,
def16 nvarchar(101) null 
/*自定义项16*/,
def17 nvarchar(101) null 
/*自定义项17*/,
def18 nvarchar(101) null 
/*自定义项18*/,
def19 nvarchar(101) null 
/*自定义项19*/,
def20 nvarchar(101) null 
/*自定义项20*/,
code nvarchar(50) null 
/*编码*/,
name nvarchar(50) null 
/*名称*/,
 constraint pk_o_cd_bankloan_h primary key (pk_bankloan),
 ts char(19) null default convert(char(19),getdate(),20),
dr smallint null default 0
)
go

/* tablename: zjnytwo_cd_bankloan_b */
create table zjnytwo_cd_bankloan_b (
pk_bankloan_b nchar(20) not null 
/*子表主键*/,
pk_group nvarchar(20) null default '~' 
/*集团*/,
pk_org_v nvarchar(20) null default '~' 
/*组织版本信息*/,
pk_org nvarchar(20) null default '~' 
/*组织*/,
crowno nvarchar(20) null 
/*行号*/,
vbnote nvarchar(181) null 
/*行备注*/,
bdef1 nvarchar(101) null 
/*表体自定义项1*/,
bdef2 nvarchar(101) null 
/*表体自定义项2*/,
bdef3 nvarchar(101) null 
/*表体自定义项3*/,
bdef4 nvarchar(101) null 
/*表体自定义项4*/,
bdef5 nvarchar(101) null 
/*表体自定义项5*/,
bdef6 nvarchar(101) null 
/*表体自定义项6*/,
bdef7 nvarchar(101) null 
/*表体自定义项7*/,
bdef8 nvarchar(101) null 
/*表体自定义项8*/,
bdef9 nvarchar(101) null 
/*表体自定义项9*/,
bdef10 nvarchar(101) null 
/*表体自定义项10*/,
bdef11 nvarchar(101) null 
/*表体自定义项11*/,
bdef12 nvarchar(101) null 
/*表体自定义项12*/,
bdef13 nvarchar(101) null 
/*表体自定义项13*/,
bdef14 nvarchar(101) null 
/*表体自定义项14*/,
bdef15 nvarchar(101) null 
/*表体自定义项15*/,
bdef16 nvarchar(101) null 
/*表体自定义项16*/,
bdef17 nvarchar(101) null 
/*表体自定义项17*/,
bdef18 nvarchar(101) null 
/*表体自定义项18*/,
bdef19 nvarchar(101) null 
/*表体自定义项19*/,
bdef20 nvarchar(101) null 
/*表体自定义项20*/,
csrcid nchar(20) null 
/*来源单据主表主键*/,
csrcbid nchar(20) null 
/*来源单据表体主键*/,
csrctype nvarchar(50) null default '~' 
/*来源单据类型*/,
unit nvarchar(20) null default '~' 
/*一级单位*/,
useunit nvarchar(20) null default '~' 
/*使用单位*/,
bankname nvarchar(50) null 
/*银行名称*/,
loanamount decimal(28,8) null 
/*借款金额*/,
repayamount decimal(28,8) null 
/*已还款金额*/,
loanbalance decimal(28,8) null 
/*借款余额*/,
loantype nvarchar(50) null 
/*借款种类*/,
startdate nchar(19) null 
/*借款起始日*/,
enddate nchar(19) null 
/*借款到期日*/,
term nvarchar(50) null 
/*期限*/,
rates nvarchar(50) null 
/*实际利率*/,
settletype nvarchar(50) null 
/*解决类型*/,
backedunit nvarchar(50) null 
/*担保单位*/,
documentcode nvarchar(50) null 
/*单据编号*/,
pk_bankloan nchar(20) not null 
/*银行贷款填报表头_主键*/,
 constraint pk_o_cd_bankloan_b primary key (pk_bankloan_b),
 ts char(19) null default convert(char(19),getdate(),20),
dr smallint null default 0
)
go

