
package nccloud.zjnytwo_cd.zjnytwo_cd.bankcredithvo.action;

import nc.bs.logging.Logger;
import nc.vo.zjnytwo_cd.bankcredit.BankcreditBillVO;
import nc.vo.pub.BusinessException;
import nccloud.framework.core.exception.ExceptionUtils;
import nccloud.framework.web.container.IRequest;
import nccloud.zjnytwo_cd.zjnytwo_cd.bankcredithvo.zjnytwo_cd.bean.BillOperatorParam;
import nccloud.zjnytwo_cd.zjnytwo_cd.bankcredithvo.zjnytwo_cd.util.CommonUtil;

public class BankcreditHVOUnCommitAssignAction
    extends AbstractUnCommitAssignAction<BankcreditBillVO> {

  @Override
  public Object doAction(IRequest request) {
    BillOperatorParam operaParam = this.getRequestParam(request);
    Object result = null;
    try {
  BankcreditBillVO[] operaVOs = this.queryBillsByPks(operaParam);
      CommonUtil.setBillsTs(operaParam.getPkMapTs(), operaVOs);
      Object resultVOs = this.unCommit(operaVOs);
      result = this.buildFontResult(operaParam, resultVOs);
    }
    catch (BusinessException ex) {
      Logger.error(ex.getMessage(), ex);
      ExceptionUtils.wrapException(ex);
    }
    return result;
  }

}
