
package nc.bs.pub.action;

import nc.bs.framework.common.NCLocator;
import nccloud.bs.zjnytwo_cd.zjnytwo_cd.aggbusi.plugin.bpplugin.BankaccountsHVOPluginPoint;
import nc.bs.pubapp.pf.action.AbstractPfAction;
import nc.bs.pubapp.pub.rule.ApproveStatusCheckRule;
import nc.impl.pubapp.pattern.rule.processer.CompareAroundProcesser;
import nccloud.itf.zjnytwo_cd.zjnytwo_cd.IBankaccountshvoMaintain;
import nc.vo.zjnytwo_cd.bankaccounts.BankaccountsBillVO;
import nc.vo.pub.BusinessException;
import nc.vo.pubapp.pattern.exception.ExceptionUtils;

public class N_99H1_APPROVE extends AbstractPfAction<BankaccountsBillVO> {

        public N_99H1_APPROVE() {
                super();
        }

        @Override
        protected CompareAroundProcesser<BankaccountsBillVO> getCompareAroundProcesserWithRules(
                        Object userObj) {
                CompareAroundProcesser<BankaccountsBillVO> processor = new CompareAroundProcesser<BankaccountsBillVO>(
                                BankaccountsHVOPluginPoint.APPROVE);
                processor.addBeforeRule(new ApproveStatusCheckRule());
                return processor;
        }

        @Override
        protected BankaccountsBillVO[] processBP(Object userObj,
                        BankaccountsBillVO[] clientFullVOs, BankaccountsBillVO[] originBills) {
                BankaccountsBillVO[] bills = null;
                IBankaccountshvoMaintain operator = NCLocator.getInstance().lookup(
                                IBankaccountshvoMaintain.class);
                try {
                        bills = operator.approve(clientFullVOs, originBills);
                } catch (BusinessException e) {
                        ExceptionUtils.wrappBusinessException(e.getMessage());
                }
                return bills;
        }

}
