
package nc.bs.pub.action;

import nc.bs.framework.common.NCLocator;
import nccloud.bs.zjnytwo_cd.zjnytwo_cd.aggbusi.plugin.bpplugin.BankaccountsHVOPluginPoint;
import nc.bs.pubapp.pf.action.AbstractPfAction;
import nc.impl.pubapp.pattern.rule.IRule;
import nc.impl.pubapp.pattern.rule.processer.CompareAroundProcesser;
import nc.vo.jcom.lang.StringUtil;
import nccloud.itf.zjnytwo_cd.zjnytwo_cd.IBankaccountshvoMaintain;
import nc.vo.zjnytwo_cd.bankaccounts.BankaccountsBillVO;
import nc.vo.pub.BusinessException;
import nc.vo.pubapp.AppContext;
import nc.vo.pubapp.pattern.exception.ExceptionUtils;

public class N_99H1_SAVEBASE extends AbstractPfAction<BankaccountsBillVO> {

        @Override
        protected CompareAroundProcesser<BankaccountsBillVO> getCompareAroundProcesserWithRules(
                        Object userObj) {
                CompareAroundProcesser<BankaccountsBillVO> processor = null;
                BankaccountsBillVO[] clientFullVOs = (BankaccountsBillVO[]) this.getVos();
                if (!StringUtil.isEmptyWithTrim(clientFullVOs[0].getParentVO()
                                .getPrimaryKey())) {
                        processor = new CompareAroundProcesser<BankaccountsBillVO>(
                                        BankaccountsHVOPluginPoint.SCRIPT_UPDATE);
                } else {
                        processor = new CompareAroundProcesser<BankaccountsBillVO>(
                                        BankaccountsHVOPluginPoint.SCRIPT_INSERT);
                }
                // TODO 在此处添加前后规则
                IRule<BankaccountsBillVO> rule = null;

                return processor;
        }

        @Override
        protected BankaccountsBillVO[] processBP(Object userObj,
                        BankaccountsBillVO[] clientFullVOs, BankaccountsBillVO[] originBills) {

                BankaccountsBillVO[] bills = null;
            try {
              IBankaccountshvoMaintain operator =
                  NCLocator.getInstance().lookup(IBankaccountshvoMaintain.class);
              if (!StringUtil.isEmptyWithTrim(clientFullVOs[0].getParentVO()
                  .getPrimaryKey())) {
                bills = operator.update(clientFullVOs, originBills);
              }
              else {
                bills = operator.insert(clientFullVOs, originBills);
              }
            }
            catch (BusinessException e) {
              ExceptionUtils.wrappBusinessException(e.getMessage());
            }
            return bills;
        }
}
