
package nc.bs.pub.action;

import nc.bs.framework.common.NCLocator;
import nccloud.bs.zjnytwo_cd.zjnytwo_cd.aggbusi.plugin.bpplugin.LettercreditHVOPluginPoint;
import nc.bs.pubapp.pf.action.AbstractPfAction;
import nc.impl.pubapp.pattern.rule.IRule;
import nc.impl.pubapp.pattern.rule.processer.CompareAroundProcesser;
import nc.vo.jcom.lang.StringUtil;
import nccloud.itf.zjnytwo_cd.zjnytwo_cd.ILettercredithvoMaintain;
import nc.vo.zjnytwo_cd.lettercredit.LettercreditBillVO;
import nc.vo.pub.BusinessException;
import nc.vo.pubapp.AppContext;
import nc.vo.pubapp.pattern.exception.ExceptionUtils;

public class N_99H2_SAVEBASE extends AbstractPfAction<LettercreditBillVO> {

        @Override
        protected CompareAroundProcesser<LettercreditBillVO> getCompareAroundProcesserWithRules(
                        Object userObj) {
                CompareAroundProcesser<LettercreditBillVO> processor = null;
                LettercreditBillVO[] clientFullVOs = (LettercreditBillVO[]) this.getVos();
                if (!StringUtil.isEmptyWithTrim(clientFullVOs[0].getParentVO()
                                .getPrimaryKey())) {
                        processor = new CompareAroundProcesser<LettercreditBillVO>(
                                        LettercreditHVOPluginPoint.SCRIPT_UPDATE);
                } else {
                        processor = new CompareAroundProcesser<LettercreditBillVO>(
                                        LettercreditHVOPluginPoint.SCRIPT_INSERT);
                }
                // TODO 在此处添加前后规则
                IRule<LettercreditBillVO> rule = null;

                return processor;
        }

        @Override
        protected LettercreditBillVO[] processBP(Object userObj,
                        LettercreditBillVO[] clientFullVOs, LettercreditBillVO[] originBills) {

                LettercreditBillVO[] bills = null;
            try {
              ILettercredithvoMaintain operator =
                  NCLocator.getInstance().lookup(ILettercredithvoMaintain.class);
              if (!StringUtil.isEmptyWithTrim(clientFullVOs[0].getParentVO()
                  .getPrimaryKey())) {
                bills = operator.update(clientFullVOs, originBills);
              }
              else {
                bills = operator.insert(clientFullVOs, originBills);
              }
            }
            catch (BusinessException e) {
              ExceptionUtils.wrappBusinessException(e.getMessage());
            }
            return bills;
        }
}
