
package nc.bs.pub.action;

import nc.bs.framework.common.NCLocator;
import nccloud.bs.zjnytwo_cd.zjnytwo_cd.aggbusi.plugin.bpplugin.BankcreditHVOPluginPoint;
import nc.bs.pubapp.pf.action.AbstractPfAction;
import nc.impl.pubapp.pattern.rule.IRule;
import nc.impl.pubapp.pattern.rule.processer.CompareAroundProcesser;
import nc.vo.jcom.lang.StringUtil;
import nccloud.itf.zjnytwo_cd.zjnytwo_cd.IBankcredithvoMaintain;
import nc.vo.zjnytwo_cd.bankcredit.BankcreditBillVO;
import nc.vo.pub.BusinessException;
import nc.vo.pubapp.AppContext;
import nc.vo.pubapp.pattern.exception.ExceptionUtils;

public class N_99H3_SAVEBASE extends AbstractPfAction<BankcreditBillVO> {

        @Override
        protected CompareAroundProcesser<BankcreditBillVO> getCompareAroundProcesserWithRules(
                        Object userObj) {
                CompareAroundProcesser<BankcreditBillVO> processor = null;
                BankcreditBillVO[] clientFullVOs = (BankcreditBillVO[]) this.getVos();
                if (!StringUtil.isEmptyWithTrim(clientFullVOs[0].getParentVO()
                                .getPrimaryKey())) {
                        processor = new CompareAroundProcesser<BankcreditBillVO>(
                                        BankcreditHVOPluginPoint.SCRIPT_UPDATE);
                } else {
                        processor = new CompareAroundProcesser<BankcreditBillVO>(
                                        BankcreditHVOPluginPoint.SCRIPT_INSERT);
                }
                // TODO 在此处添加前后规则
                IRule<BankcreditBillVO> rule = null;

                return processor;
        }

        @Override
        protected BankcreditBillVO[] processBP(Object userObj,
                        BankcreditBillVO[] clientFullVOs, BankcreditBillVO[] originBills) {

                BankcreditBillVO[] bills = null;
            try {
              IBankcredithvoMaintain operator =
                  NCLocator.getInstance().lookup(IBankcredithvoMaintain.class);
              if (!StringUtil.isEmptyWithTrim(clientFullVOs[0].getParentVO()
                  .getPrimaryKey())) {
                bills = operator.update(clientFullVOs, originBills);
              }
              else {
                bills = operator.insert(clientFullVOs, originBills);
              }
            }
            catch (BusinessException e) {
              ExceptionUtils.wrappBusinessException(e.getMessage());
            }
            return bills;
        }
}
