
package nc.bs.pub.action;

import nc.bs.framework.common.NCLocator;
import nccloud.bs.zjnytwo_cd.zjnytwo_cd.aggbusi.plugin.bpplugin.BankloanHVOPluginPoint;
import nc.bs.pubapp.pf.action.AbstractPfAction;
import nc.impl.pubapp.pattern.rule.IRule;
import nc.impl.pubapp.pattern.rule.processer.CompareAroundProcesser;
import nc.vo.jcom.lang.StringUtil;
import nccloud.itf.zjnytwo_cd.zjnytwo_cd.IBankloanhvoMaintain;
import nc.vo.zjnytwo_cd.bankloan.BankloanBillVO;
import nc.vo.pub.BusinessException;
import nc.vo.pubapp.AppContext;
import nc.vo.pubapp.pattern.exception.ExceptionUtils;

public class N_99H4_SAVEBASE extends AbstractPfAction<BankloanBillVO> {

        @Override
        protected CompareAroundProcesser<BankloanBillVO> getCompareAroundProcesserWithRules(
                        Object userObj) {
                CompareAroundProcesser<BankloanBillVO> processor = null;
                BankloanBillVO[] clientFullVOs = (BankloanBillVO[]) this.getVos();
                if (!StringUtil.isEmptyWithTrim(clientFullVOs[0].getParentVO()
                                .getPrimaryKey())) {
                        processor = new CompareAroundProcesser<BankloanBillVO>(
                                        BankloanHVOPluginPoint.SCRIPT_UPDATE);
                } else {
                        processor = new CompareAroundProcesser<BankloanBillVO>(
                                        BankloanHVOPluginPoint.SCRIPT_INSERT);
                }
                // TODO 在此处添加前后规则
                IRule<BankloanBillVO> rule = null;

                return processor;
        }

        @Override
        protected BankloanBillVO[] processBP(Object userObj,
                        BankloanBillVO[] clientFullVOs, BankloanBillVO[] originBills) {

                BankloanBillVO[] bills = null;
            try {
              IBankloanhvoMaintain operator =
                  NCLocator.getInstance().lookup(IBankloanhvoMaintain.class);
              if (!StringUtil.isEmptyWithTrim(clientFullVOs[0].getParentVO()
                  .getPrimaryKey())) {
                bills = operator.update(clientFullVOs, originBills);
              }
              else {
                bills = operator.insert(clientFullVOs, originBills);
              }
            }
            catch (BusinessException e) {
              ExceptionUtils.wrappBusinessException(e.getMessage());
            }
            return bills;
        }
}
