
package nccloud.bs.zjnytwo_cd.zjnytwo_cd.aggbusi.ace.bp;

import nc.vo.zjnytwo_cd.bankloan.BankloanBillVO;
import nc.impl.pubapp.pattern.data.bill.BillUpdate;
import nc.vo.pub.VOStatus;
import nc.vo.pub.pf.BillStatusEnum;

/**
 * 标准单据送审的BP
 */
public class AceBankloanHVOSendApproveBP {
        /**
         * 送审动作
         *
         * @param vos
         *            单据VO数组
         * @param script
         *            单据动作脚本对象
         * @return 送审后的单据VO数组
         */

        public BankloanBillVO[] sendApprove(BankloanBillVO[] clientBills,
                        BankloanBillVO[] originBills) {
                for (BankloanBillVO clientFullVO : clientBills) {
                        clientFullVO.getParentVO().setAttributeValue("${vmObject.billstatus}",
                                        BillStatusEnum.COMMIT.value());
                        clientFullVO.getParentVO().setStatus(VOStatus.UPDATED);
                }
                // 数据持久化
                BankloanBillVO[] returnVos = new BillUpdate<BankloanBillVO>().update(
                                clientBills, originBills);
                return returnVos;
        }
}
