
package nc.vo.zjnytwo_cd.lettercredit;

import nc.vo.pubapp.pattern.model.entity.bill.AbstractBill;
import nc.vo.pubapp.pattern.model.meta.entity.bill.BillMetaFactory;
import nc.vo.pubapp.pattern.model.meta.entity.bill.IBillMeta;
import nc.vo.zjnytwo_cd.lettercredit.LettercreditHVO;

@nc.vo.annotation.AggVoInfo(parentVO = "nc.vo.zjnytwo_cd.lettercredit.LettercreditHVO")
public class LettercreditBillVO extends AbstractBill {

        @Override
        public IBillMeta getMetaData() {
                IBillMeta billMeta = BillMetaFactory.getInstance().getBillMeta(
                                LettercreditBillVOMeta.class);
                return billMeta;
        }

        @Override
        public LettercreditHVO getParentVO() {
                return (LettercreditHVO) this.getParent();
        }

        @Override
        public String getPrimaryKey() {
                return super.getPrimaryKey();
        }
}