/* tablename: zjnytwo_cd_bankaccounts_h */
create table zjnytwo_cd_bankaccounts_h (pk_bankaccount char(20) not null 
/*主表主键*/,
pk_group varchar(20) null default '~' 
/*集团*/,
pk_org_v varchar(20) null default '~' 
/*组织版本*/,
pk_org varchar(20) null default '~' 
/*组织*/,
vbillcode varchar(40) null 
/*单据号*/,
month integer null 
/*月份*/,
inputdate char(19) null 
/*导入日期*/,
inputman varchar(20) null default '~' 
/*导入人*/,
busitype varchar(20) null default '~' 
/*业务类型*/,
pk_billtypecode varchar(50) null 
/*单据类型编码*/,
pk_billtypeid varchar(20) null default '~' 
/*单据类型*/,
vtrantypecode varchar(50) null 
/*交易类型编码*/,
ctrantypeid varchar(20) null default '~' 
/*交易类型*/,
dbilldate char(19) null 
/*单据日期*/,
fstatusflag integer null default -1 
/*单据状态*/,
creator varchar(20) null default '~' 
/*制单人*/,
creationtime char(19) null 
/*制单时间*/,
modifier varchar(20) null default '~' 
/*最后修改人*/,
modifiedtime char(19) null 
/*最后修改时间*/,
approver varchar(20) null default '~' 
/*审批人*/,
taudittime char(19) null 
/*审批时间*/,
vapprovenote varchar(181) null 
/*审批批语*/,
enablestate integer null 
/*启用*/,
vnote varchar(181) null 
/*备注*/,
def1 varchar(101) null 
/*自定义项1*/,
def2 varchar(101) null 
/*自定义项2*/,
def3 varchar(101) null 
/*自定义项3*/,
def4 varchar(101) null 
/*自定义项4*/,
def5 varchar(101) null 
/*自定义项5*/,
def6 varchar(101) null 
/*自定义项6*/,
def7 varchar(101) null 
/*自定义项7*/,
def8 varchar(101) null 
/*自定义项8*/,
def9 varchar(101) null 
/*自定义项9*/,
def10 varchar(101) null 
/*自定义项10*/,
def11 varchar(101) null 
/*自定义项11*/,
def12 varchar(101) null 
/*自定义项12*/,
def13 varchar(101) null 
/*自定义项13*/,
def14 varchar(101) null 
/*自定义项14*/,
def15 varchar(101) null 
/*自定义项15*/,
def16 varchar(101) null 
/*自定义项16*/,
def17 varchar(101) null 
/*自定义项17*/,
def18 varchar(101) null 
/*自定义项18*/,
def19 varchar(101) null 
/*自定义项19*/,
def20 varchar(101) null 
/*自定义项20*/,
code varchar(50) null 
/*编码*/,
name varchar(50) null 
/*名称*/,
 constraint pk__bankaccounts_h primary key (pk_bankaccount),
 ts char(19) null,
dr smallint null default 0
)
;

/* tablename: zjnytwo_cd_bankaccounts_b */
create table zjnytwo_cd_bankaccounts_b (pk_bankaccount_b char(20) not null 
/*子表主键*/,
pk_group varchar(20) null default '~' 
/*集团*/,
pk_org_v varchar(20) null default '~' 
/*组织版本信息*/,
pk_org varchar(20) null default '~' 
/*组织*/,
crowno varchar(20) null 
/*行号*/,
unit varchar(20) null default '~' 
/*一级单位*/,
accountunit varchar(20) null default '~' 
/*开户单位*/,
accountbank varchar(50) null 
/*开户银行*/,
account varchar(50) null 
/*账号*/,
currency varchar(50) null 
/*币种*/,
accounttype varchar(50) null 
/*账户类型*/,
accountdate char(19) null 
/*开户日期*/,
bankoperator varchar(50) null 
/*网银操作员*/,
bankreviewer varchar(50) null 
/*网银复核员*/,
bankadmin varchar(50) null 
/*网银管理员*/,
issigned varchar(50) null 
/*是否签订U盾证书*/,
u_code varchar(50) null 
/*U盾编码*/,
bankstate varchar(50) null 
/*网银开通状态*/,
bankcheck varchar(50) null 
/*网银登记单*/,
vbnote varchar(181) null 
/*行备注*/,
bdef1 varchar(101) null 
/*表体自定义项1*/,
bdef2 varchar(101) null 
/*表体自定义项2*/,
bdef3 varchar(101) null 
/*表体自定义项3*/,
bdef4 varchar(101) null 
/*表体自定义项4*/,
bdef5 varchar(101) null 
/*表体自定义项5*/,
bdef6 varchar(101) null 
/*表体自定义项6*/,
bdef7 varchar(101) null 
/*表体自定义项7*/,
bdef8 varchar(101) null 
/*表体自定义项8*/,
bdef9 varchar(101) null 
/*表体自定义项9*/,
bdef10 varchar(101) null 
/*表体自定义项10*/,
bdef11 varchar(101) null 
/*表体自定义项11*/,
bdef12 varchar(101) null 
/*表体自定义项12*/,
bdef13 varchar(101) null 
/*表体自定义项13*/,
bdef14 varchar(101) null 
/*表体自定义项14*/,
bdef15 varchar(101) null 
/*表体自定义项15*/,
bdef16 varchar(101) null 
/*表体自定义项16*/,
bdef17 varchar(101) null 
/*表体自定义项17*/,
bdef18 varchar(101) null 
/*表体自定义项18*/,
bdef19 varchar(101) null 
/*表体自定义项19*/,
bdef20 varchar(101) null 
/*表体自定义项20*/,
csrcid char(20) null 
/*来源单据主表主键*/,
csrcbid char(20) null 
/*来源单据表体主键*/,
csrctype varchar(50) null default '~' 
/*来源单据类型*/,
pk_bankaccount char(20) not null 
/*银行账户填报表头_主键*/,
 constraint pk__bankaccounts_b primary key (pk_bankaccount_b),
 ts char(19) null,
dr smallint null default 0
)
;

