/* tablename: zjnytwo_cd_lettercredit_h */
create table zjnytwo_cd_lettercredit_h (pk_lettercredit char(20) not null 
/*主表主键*/,
pk_group varchar(20) null default '~' 
/*集团*/,
pk_org_v varchar(20) null default '~' 
/*组织版本*/,
pk_org varchar(20) null default '~' 
/*组织*/,
vbillcode varchar(40) null 
/*单据号*/,
month integer null 
/*月份*/,
inputdate char(19) null 
/*导入日期*/,
inputman varchar(20) null default '~' 
/*导入人*/,
code varchar(50) null 
/*编码*/,
name varchar(50) null 
/*名称*/,
busitype varchar(20) null default '~' 
/*业务类型*/,
pk_billtypecode varchar(50) null 
/*单据类型编码*/,
pk_billtypeid varchar(20) null default '~' 
/*单据类型*/,
vtrantypecode varchar(50) null 
/*交易类型编码*/,
ctrantypeid varchar(20) null default '~' 
/*交易类型*/,
dbilldate char(19) null 
/*单据日期*/,
fstatusflag integer null default -1 
/*单据状态*/,
creator varchar(20) null default '~' 
/*制单人*/,
creationtime char(19) null 
/*制单时间*/,
modifier varchar(20) null default '~' 
/*最后修改人*/,
modifiedtime char(19) null 
/*最后修改时间*/,
approver varchar(20) null default '~' 
/*审批人*/,
taudittime char(19) null 
/*审批时间*/,
vapprovenote varchar(181) null 
/*审批批语*/,
enablestate integer null 
/*启用*/,
vnote varchar(181) null 
/*备注*/,
def1 varchar(101) null 
/*自定义项1*/,
def2 varchar(101) null 
/*自定义项2*/,
def3 varchar(101) null 
/*自定义项3*/,
def4 varchar(101) null 
/*自定义项4*/,
def5 varchar(101) null 
/*自定义项5*/,
def6 varchar(101) null 
/*自定义项6*/,
def7 varchar(101) null 
/*自定义项7*/,
def8 varchar(101) null 
/*自定义项8*/,
def9 varchar(101) null 
/*自定义项9*/,
def10 varchar(101) null 
/*自定义项10*/,
def11 varchar(101) null 
/*自定义项11*/,
def12 varchar(101) null 
/*自定义项12*/,
def13 varchar(101) null 
/*自定义项13*/,
def14 varchar(101) null 
/*自定义项14*/,
def15 varchar(101) null 
/*自定义项15*/,
def16 varchar(101) null 
/*自定义项16*/,
def17 varchar(101) null 
/*自定义项17*/,
def18 varchar(101) null 
/*自定义项18*/,
def19 varchar(101) null 
/*自定义项19*/,
def20 varchar(101) null 
/*自定义项20*/,
 constraint pk__lettercredit_h primary key (pk_lettercredit),
 ts char(19) null,
dr smallint null default 0
)
;

/* tablename: zjnytwo_cd_lettercredit_b */
create table zjnytwo_cd_lettercredit_b (pk_lettercredit_b char(20) not null 
/*子表主键*/,
pk_group varchar(20) null default '~' 
/*集团*/,
pk_org_v varchar(20) null default '~' 
/*组织版本信息*/,
pk_org varchar(20) null default '~' 
/*组织*/,
crowno varchar(20) null 
/*行号*/,
csrcid char(20) null 
/*来源单据主表主键*/,
csrcbid char(20) null 
/*来源单据表体主键*/,
csrctype varchar(50) null default '~' 
/*来源单据类型*/,
unit varchar(20) null default '~' 
/*一级单位*/,
useunits varchar(20) null default '~' 
/*使用单位*/,
businestype varchar(50) null 
/*业务种类*/,
code varchar(50) null 
/*编号*/,
lssuingbank varchar(50) null 
/*开证银行*/,
amountbill decimal(28,8) null 
/*票据金额*/,
deposit decimal(28,8) null 
/*保证金*/,
depositproportion varchar(50) null 
/*保证金比例*/,
cumulative decimal(28,8) null 
/*累计核销额*/,
refundamount decimal(28,8) null 
/*退票金额*/,
balancebill decimal(28,8) null 
/*票据余额*/,
startdate char(19) null 
/*业务起始日*/,
enddate char(19) null 
/*业务到期日*/,
term varchar(50) null 
/*期限*/,
bank varchar(50) null 
/*银行*/,
guaranteetype varchar(50) null 
/*担保方式*/,
guaranteeunit varchar(50) null 
/*担保单位*/,
vbnote varchar(181) null 
/*行备注*/,
bdef1 varchar(101) null 
/*表体自定义项1*/,
bdef2 varchar(101) null 
/*表体自定义项2*/,
bdef3 varchar(101) null 
/*表体自定义项3*/,
bdef4 varchar(101) null 
/*表体自定义项4*/,
bdef5 varchar(101) null 
/*表体自定义项5*/,
bdef6 varchar(101) null 
/*表体自定义项6*/,
bdef7 varchar(101) null 
/*表体自定义项7*/,
bdef8 varchar(101) null 
/*表体自定义项8*/,
bdef9 varchar(101) null 
/*表体自定义项9*/,
bdef10 varchar(101) null 
/*表体自定义项10*/,
bdef11 varchar(101) null 
/*表体自定义项11*/,
bdef12 varchar(101) null 
/*表体自定义项12*/,
bdef13 varchar(101) null 
/*表体自定义项13*/,
bdef14 varchar(101) null 
/*表体自定义项14*/,
bdef15 varchar(101) null 
/*表体自定义项15*/,
bdef16 varchar(101) null 
/*表体自定义项16*/,
bdef17 varchar(101) null 
/*表体自定义项17*/,
bdef18 varchar(101) null 
/*表体自定义项18*/,
bdef19 varchar(101) null 
/*表体自定义项19*/,
bdef20 varchar(101) null 
/*表体自定义项20*/,
pk_lettercredit char(20) not null 
/*信用证承兑汇票表头_主键*/,
 constraint pk__lettercredit_b primary key (pk_lettercredit_b),
 ts char(19) null,
dr smallint null default 0
)
;

