/* tablename: zjnytwo_cd_lettercredit_h */
create table zjnytwo_cd_lettercredit_h (pk_lettercredit char(20) not null 
/*主表主键*/,
pk_group varchar2(20) default '~' null 
/*集团*/,
pk_org_v varchar2(20) default '~' null 
/*组织版本*/,
pk_org varchar2(20) default '~' null 
/*组织*/,
vbillcode varchar2(40) null 
/*单据号*/,
month integer null 
/*月份*/,
inputdate char(19) null 
/*导入日期*/,
inputman varchar2(20) default '~' null 
/*导入人*/,
code varchar2(50) null 
/*编码*/,
name varchar2(50) null 
/*名称*/,
busitype varchar2(20) default '~' null 
/*业务类型*/,
pk_billtypecode varchar2(50) null 
/*单据类型编码*/,
pk_billtypeid varchar2(20) default '~' null 
/*单据类型*/,
vtrantypecode varchar2(50) null 
/*交易类型编码*/,
ctrantypeid varchar2(20) default '~' null 
/*交易类型*/,
dbilldate char(19) null 
/*单据日期*/,
fstatusflag integer default -1 null 
/*单据状态*/,
creator varchar2(20) default '~' null 
/*制单人*/,
creationtime char(19) null 
/*制单时间*/,
modifier varchar2(20) default '~' null 
/*最后修改人*/,
modifiedtime char(19) null 
/*最后修改时间*/,
approver varchar2(20) default '~' null 
/*审批人*/,
taudittime char(19) null 
/*审批时间*/,
vapprovenote varchar2(181) null 
/*审批批语*/,
enablestate integer null 
/*启用*/,
vnote varchar2(181) null 
/*备注*/,
def1 varchar2(101) null 
/*自定义项1*/,
def2 varchar2(101) null 
/*自定义项2*/,
def3 varchar2(101) null 
/*自定义项3*/,
def4 varchar2(101) null 
/*自定义项4*/,
def5 varchar2(101) null 
/*自定义项5*/,
def6 varchar2(101) null 
/*自定义项6*/,
def7 varchar2(101) null 
/*自定义项7*/,
def8 varchar2(101) null 
/*自定义项8*/,
def9 varchar2(101) null 
/*自定义项9*/,
def10 varchar2(101) null 
/*自定义项10*/,
def11 varchar2(101) null 
/*自定义项11*/,
def12 varchar2(101) null 
/*自定义项12*/,
def13 varchar2(101) null 
/*自定义项13*/,
def14 varchar2(101) null 
/*自定义项14*/,
def15 varchar2(101) null 
/*自定义项15*/,
def16 varchar2(101) null 
/*自定义项16*/,
def17 varchar2(101) null 
/*自定义项17*/,
def18 varchar2(101) null 
/*自定义项18*/,
def19 varchar2(101) null 
/*自定义项19*/,
def20 varchar2(101) null 
/*自定义项20*/,
 constraint pk__lettercredit_h primary key (pk_lettercredit),
 ts char(19) default to_char(sysdate,'yyyy-mm-dd hh24:mi:ss'),
dr number(10) default 0
)
/

/* tablename: zjnytwo_cd_lettercredit_b */
create table zjnytwo_cd_lettercredit_b (pk_lettercredit_b char(20) not null 
/*子表主键*/,
pk_group varchar2(20) default '~' null 
/*集团*/,
pk_org_v varchar2(20) default '~' null 
/*组织版本信息*/,
pk_org varchar2(20) default '~' null 
/*组织*/,
crowno varchar2(20) null 
/*行号*/,
csrcid char(20) null 
/*来源单据主表主键*/,
csrcbid char(20) null 
/*来源单据表体主键*/,
csrctype varchar2(50) default '~' null 
/*来源单据类型*/,
unit varchar2(20) default '~' null 
/*一级单位*/,
useunits varchar2(20) default '~' null 
/*使用单位*/,
businestype varchar2(50) null 
/*业务种类*/,
code varchar2(50) null 
/*编号*/,
lssuingbank varchar2(50) null 
/*开证银行*/,
amountbill number(28,8) null 
/*票据金额*/,
deposit number(28,8) null 
/*保证金*/,
depositproportion varchar2(50) null 
/*保证金比例*/,
cumulative number(28,8) null 
/*累计核销额*/,
refundamount number(28,8) null 
/*退票金额*/,
balancebill number(28,8) null 
/*票据余额*/,
startdate char(19) null 
/*业务起始日*/,
enddate char(19) null 
/*业务到期日*/,
term varchar2(50) null 
/*期限*/,
bank varchar2(50) null 
/*银行*/,
guaranteetype varchar2(50) null 
/*担保方式*/,
guaranteeunit varchar2(50) null 
/*担保单位*/,
vbnote varchar2(181) null 
/*行备注*/,
bdef1 varchar2(101) null 
/*表体自定义项1*/,
bdef2 varchar2(101) null 
/*表体自定义项2*/,
bdef3 varchar2(101) null 
/*表体自定义项3*/,
bdef4 varchar2(101) null 
/*表体自定义项4*/,
bdef5 varchar2(101) null 
/*表体自定义项5*/,
bdef6 varchar2(101) null 
/*表体自定义项6*/,
bdef7 varchar2(101) null 
/*表体自定义项7*/,
bdef8 varchar2(101) null 
/*表体自定义项8*/,
bdef9 varchar2(101) null 
/*表体自定义项9*/,
bdef10 varchar2(101) null 
/*表体自定义项10*/,
bdef11 varchar2(101) null 
/*表体自定义项11*/,
bdef12 varchar2(101) null 
/*表体自定义项12*/,
bdef13 varchar2(101) null 
/*表体自定义项13*/,
bdef14 varchar2(101) null 
/*表体自定义项14*/,
bdef15 varchar2(101) null 
/*表体自定义项15*/,
bdef16 varchar2(101) null 
/*表体自定义项16*/,
bdef17 varchar2(101) null 
/*表体自定义项17*/,
bdef18 varchar2(101) null 
/*表体自定义项18*/,
bdef19 varchar2(101) null 
/*表体自定义项19*/,
bdef20 varchar2(101) null 
/*表体自定义项20*/,
pk_lettercredit char(20) not null 
/*信用证承兑汇票表头_主键*/,
 constraint pk__lettercredit_b primary key (pk_lettercredit_b),
 ts char(19) default to_char(sysdate,'yyyy-mm-dd hh24:mi:ss'),
dr number(10) default 0
)
/

