
package nccloud.bs.zjnytwo_cd.zjnytwo_cd.aggbusi.ace.bp;
import nc.vo.zjnytwo_cd.bankcredit.BankcreditBillVO;
import nc.impl.pubapp.pattern.data.bill.BillUpdate;
import nc.vo.pub.VOStatus;
import nc.vo.pub.pf.BillStatusEnum;

/**
 * 标准单据收回的BP
 */
public class AceBankcreditHVOUnSendApproveBP {

        public BankcreditBillVO[] unSend(BankcreditBillVO[] clientBills,
                        BankcreditBillVO[] originBills) {
                // 把VO持久化到数据库中
                this.setHeadVOStatus(clientBills);
                BillUpdate<BankcreditBillVO> update = new BillUpdate<BankcreditBillVO>();
                BankcreditBillVO[] returnVos = update.update(clientBills, originBills);
                return returnVos;
        }

        private void setHeadVOStatus(BankcreditBillVO[] clientBills) {
                for (BankcreditBillVO clientBill : clientBills) {
                        clientBill.getParentVO().setAttributeValue("${vmObject.billstatus}",
                                        BillStatusEnum.FREE.value());
                        clientBill.getParentVO().setStatus(VOStatus.UPDATED);
                }
        }
}
