
package nc.vo.zjnytwo_cd.bankaccounts;

import nc.vo.pubapp.pattern.model.entity.bill.AbstractBill;
import nc.vo.pubapp.pattern.model.meta.entity.bill.BillMetaFactory;
import nc.vo.pubapp.pattern.model.meta.entity.bill.IBillMeta;
import nc.vo.zjnytwo_cd.bankaccounts.BankaccountsHVO;

@nc.vo.annotation.AggVoInfo(parentVO = "nc.vo.zjnytwo_cd.bankaccounts.BankaccountsHVO")
public class BankaccountsBillVO extends AbstractBill {

        @Override
        public IBillMeta getMetaData() {
                IBillMeta billMeta = BillMetaFactory.getInstance().getBillMeta(
                                BankaccountsBillVOMeta.class);
                return billMeta;
        }

        @Override
        public BankaccountsHVO getParentVO() {
                return (BankaccountsHVO) this.getParent();
        }

        @Override
        public String getPrimaryKey() {
                return super.getPrimaryKey();
        }
}