
package nc.vo.zjnytwo_cd.bankcredit;

import nc.vo.pubapp.pattern.model.entity.bill.AbstractBill;
import nc.vo.pubapp.pattern.model.meta.entity.bill.BillMetaFactory;
import nc.vo.pubapp.pattern.model.meta.entity.bill.IBillMeta;
import nc.vo.zjnytwo_cd.bankcredit.BankcreditHVO;

@nc.vo.annotation.AggVoInfo(parentVO = "nc.vo.zjnytwo_cd.bankcredit.BankcreditHVO")
public class BankcreditBillVO extends AbstractBill {

        @Override
        public IBillMeta getMetaData() {
                IBillMeta billMeta = BillMetaFactory.getInstance().getBillMeta(
                                BankcreditBillVOMeta.class);
                return billMeta;
        }

        @Override
        public BankcreditHVO getParentVO() {
                return (BankcreditHVO) this.getParent();
        }

        @Override
        public String getPrimaryKey() {
                return super.getPrimaryKey();
        }
}