
package nc.vo.zjnytwo_cd.bankloan;

import nc.vo.pubapp.pattern.model.entity.bill.AbstractBill;
import nc.vo.pubapp.pattern.model.meta.entity.bill.BillMetaFactory;
import nc.vo.pubapp.pattern.model.meta.entity.bill.IBillMeta;
import nc.vo.zjnytwo_cd.bankloan.BankloanHVO;

@nc.vo.annotation.AggVoInfo(parentVO = "nc.vo.zjnytwo_cd.bankloan.BankloanHVO")
public class BankloanBillVO extends AbstractBill {

        @Override
        public IBillMeta getMetaData() {
                IBillMeta billMeta = BillMetaFactory.getInstance().getBillMeta(
                                BankloanBillVOMeta.class);
                return billMeta;
        }

        @Override
        public BankloanHVO getParentVO() {
                return (BankloanHVO) this.getParent();
        }

        @Override
        public String getPrimaryKey() {
                return super.getPrimaryKey();
        }
}